aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authormutantturkey <mutantturke@gmail.com>2012-06-22 14:07:51 -0400
committermutantturkey <mutantturke@gmail.com>2012-06-22 14:07:51 -0400
commit20f5225d65cef0a4807d133f3b092cfb5f74a443 (patch)
treef915f81efa95fd8bf89e321e69049a3ae14a49ea
parenta4a83a85377e184cccb01c1f2f2455a6412fa527 (diff)
check only for the video file _if_ we are going through stage 1
-rwxr-xr-xscripts/process-video-beta17
1 files changed, 8 insertions, 9 deletions
diff --git a/scripts/process-video-beta b/scripts/process-video-beta
index 97aeffa..3b80ec3 100755
--- a/scripts/process-video-beta
+++ b/scripts/process-video-beta
@@ -109,15 +109,6 @@ then
fi
-# Check that the video exists, or else quit
-if [ -f "$video_file" ]; then
- log "$video_file exists."
-else
- echo "error: $video_file was not found"
- exit 1
-fi
-
-
# Get absolute path of $output_dir OR create folder if it does not already exist
if [ -d "$output_dir" ]; then
cd $output_dir
@@ -151,6 +142,7 @@ set_list=
for num in $(seq $set_number $last_set); do
set_list=$set_list" $set_type$num"
+ log "creating directory structure"
mkdir $output_dir/Cropped/$set_type$num -pv
mkdir $output_dir/Masks/$set_type$num/Masks -pv
mkdir $output_dir/Final/$set_type$num/ -pv
@@ -166,6 +158,13 @@ log "set_list $set_list"
# Stage 1: extract all of the pngs with Mplayer
if [[ $stage_1 -eq 1 ]]; then
+ # Check that the video exists, or else quit
+ if [ -f "$video_file" ]; then
+ log "$video_file exists."
+ else
+ echo "error: $video_file was not found"
+ exit 1
+ fi
echo "Stage 1: Extracting Cropped PNGs"
echo "$crop_list"